Subject: Re: FAO Russell King or P Blundell - PLEASE!

From: John Ballance <[email-masked]>
Date: Mon, 16 Nov 1998 15:43:30

Hi
On Mon, 16 Nov, Philip Blundell  wrote:
> >1. Phil.. the directory pointed to (in your toolchain page) for libc is
> >wrong.. it now only contains crypt.. the parent dir seems ok...
> 
> Yes, you're right.  I'll amend the web page.
> 
> >of finding this Phil). I presume that I need to ensure /usr/local/bin is
> >visited at the start of the PATH to ensure these tools are used
> preferentially
> 
This is already the case, but yes.  So long as you pick up the right version
of the gcc driver it should automatically get the matching paths to
> everything 
else right.
> 
> >3. next step.. gcc... doing the gcc-only bit with egcs-1.1b as
> >recommended.. failed because /usr/lib/crt0.o was unusable or
> >unreadable.. it comes from the -aout-devel rpm, as available from the
> >distributions url.. what to do?
> 
> I don't understand why this would happen.  Can you post the exact commands 
> you're using and the messages you get from make (just those near where it 
> stops)?  This shouldn't occur during the first stage compile unless
> something 
strange is happening.

I'll do this this evening...

> 
> >4. thought this meant I needed libc in place.. attempted that.. it was
> >unhappy as the make I had was 3.74 and it needed 3.75 or later...
> 
> If all you're trying to do is compile kernels, you don't need libc
> installed.

good news.. I was trying ANYTHING.. to get gcc compiled...

Thanks

p.

-- 
                      John Ballance
 Castle Technology, Ore Trading Estate, Woodbridge Road, Framlingham,
Suffolk UK IP13 9LL  Tel  44 (0) 1728 621 631, Fax  44 (0) 1728 621 179
web: http://www.castle-technology.co.uk or http://www.castlet.demon.co.uk

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]